Package com.collibra.dgc.core.api.dto.navigation

# Class FindMostViewedAssetsRequest

Object
PagedRequest
FindMostViewedAssetsRequest

All Implemented Interfaces:
  `Serializable`

public class FindMostViewedAssetsRequest extends PagedRequest
The search criteria for navigation statistics about most viewed assets. The returned entries satisfy all constraints that are specified in this search criteria.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindMostViewedAssetsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindMostViewedAssetsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindMostViewedAssetsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `long`
  `getPeriod()`
  The time span for which most viewed assets should be found.
  `int`
  `hashCode()`
  `boolean`
  `isGuestExcluded()`
  `true` if guest visits should be excluded.
  `void`
  `setGuestExcluded(boolean guestExcluded)`
  `true` if guest visits should be excluded.
  `void`
  `setPeriod(long period)`
  The time span for which most viewed assets should be found.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindMostViewedAssetsRequest

    public FindMostViewedAssetsRequest()

- ## Method Details

  - ### builder

    public static FindMostViewedAssetsRequest.Builder builder()

  - ### getPeriod

    public long getPeriod()
    The time span for which most viewed assets should be found. This time span must be expressed in milliseconds. For instance, to get most viewed assets last 24 hours, period would be `86400000`. If it's unset (period = 0) looks for all time most viewed assets.

  - ### isGuestExcluded

    public boolean isGuestExcluded()
    `true` if guest visits should be excluded.

  - ### setPeriod

    public void setPeriod(long period)
    The time span for which most viewed assets should be found. This time span must be expressed in milliseconds. For instance, to get most viewed assets last 24 hours, period would be `86400000`. If it's unset (period = 0) looks for all time most viewed assets.

  - ### setGuestExcluded

    public void setGuestExcluded(boolean guestExcluded)
    `true` if guest visits should be excluded.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`